Page MenuHomePhabricator

Allow filtering dashboard results for contributors who have had their very first code contribution (!) in a certain timeframe
Closed, ResolvedPublic

Description

Quite related to T242905: Allow querying on only the very first patchset ever of new Gerrit contributors (to gather their time to first review and time to first merge data):

Something like author_first_patchset_creation_date<=90d, as a pseudo query.

Current Last Attracted Developers widget on Community > Demographics dashboard indexes any first Gerrit activity such as adding a random comment, while we are mostly after patch authors. Also, filtering on response times for those very first patches by new contributors on other dashboards currently seems to be only possible by exporting the user names (CSV etc) and constructing a custom query out of them to apply on other dashboards.

That also includes visualization(s) to see retention rates for newcomers (after a first patch, for how long are they around? Percentage of people who stick around?) May need more clarification though...

Non-public upstream support ticket: https://gitlab.com/Bitergia/c/Wikimedia/support/-/issues/82

Event Timeline

Aklapper triaged this task as Low priority.May 29 2020, 9:34 AM
Aklapper created this task.
Aklapper updated the task description. (Show Details)Jun 5 2020, 11:19 AM
Aklapper raised the priority of this task from Low to Medium.Jun 5 2020, 11:32 AM
Aklapper raised the priority of this task from Medium to High.Jun 11 2020, 12:05 PM
Aklapper closed this task as Resolved.Nov 15 2020, 5:51 PM
Aklapper claimed this task.

the field patchset_min_date from the new "Demographics contribution" study already allows to apply this filtering. Moreover, there is an alias called demographics_contribution which index-pattern's time field is based on patchset_min_date. This means any visualization made on top on this index will filter authors matching the condition based on the time-picker filter.

  • The Active newcomers only filter on that dashboard needs to be disabled because it would not only show the very first contribution of each newcomer
  • The time picker in the top right corner defines the time frame in which the listed users' made their very first contribution.
  • The dashboard uses the index demographics_contribution under "Discover > git". (It's an alias for patchset_min_date but instead of when items were created, it is based on the first contribution of the contributor).
  • Added documentation in https://www.mediawiki.org/w/index.php?title=Community_metrics&type=revision&diff=4235427&oldid=4091297